WIKIPRJ/Controllers/DocumentsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using WikiDataBaseContext.DataAccessLayer;
using System.IO;
using WikiModel.Model;

namespace WIKIPRJ.Controllers
{
    public class DocumentsController : Infrastructure.BaseController
    {
        private DataBaseContext db = new DataBaseContext();
        private string UploadFilePath = "~/DocFiles";
        // GET: Documents
        public ActionResult Index()
        {
            var documents = db.Documents.Include(d => d.Group).Include(d => d.signatory).Include(d => d.User);
            return View(documents.ToList());
        }

        // GET: Documents/Details/5
        public ActionResult Details(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Document document = db.Documents.Find(id);
            if (document == null)
            {
                return HttpNotFound();
            }
            return View(document);
        }
        // GET: Documents/Context/5
        public ActionResult Context(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Document document = db.Documents.Include(d => d.Attachments).Where(d => d.ID == id).FirstOrDefault();
            //IList<Attachment> att = document.Attachments.ToList();
            if (document == null)
            {
                return HttpNotFound();
            }
            return View(document);
        }

        // GET: Documents/Create
        public ActionResult Create()
        {
            ViewBag.GroupID = new SelectList(db.Groups, "ID", "DisplayGroupName");
            ViewBag.SignatoryID = new SelectList(db.Signatoris, "ID", "FullName");
            ViewBag.UserID = new SelectList(db.Users, "ID", "FullName");
            return View();
        }

        // POST: Documents/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost, ValidateInput(false)]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "ID,GroupID,Title,KeyWord,Context,Date_Doc,Date_Register,UserID,SignatoryID")] Document document)
        {
            //ModelState.Clear();
            //TryValidateModel(document);
            if (ModelState.IsValid)
            {
                db.Documents.Add(document);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.GroupID = new SelectList(db.Groups, "ID", "DisplayGroupName", document.GroupID);
            ViewBag.SignatoryID = new SelectList(db.Signatoris, "ID", "FullName", document.SignatoryID);
            ViewBag.UserID = new SelectList(db.Users, "ID", "FullName", document.UserID);
            return View(document);
        }

        // GET: Documents/Edit/5
        public ActionResult Edit(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Document document = db.Documents.Find(id);
            if (document == null)
            {
                return HttpNotFound();
            }
            ViewBag.GroupID = new SelectList(db.Groups, "ID", "DisplayGroupName", document.GroupID);
            ViewBag.SignatoryID = new SelectList(db.Signatoris, "ID", "FullName", document.SignatoryID);
            ViewBag.UserID = new SelectList(db.Users, "ID", "FullName", document.UserID);
            return View(document);
        }

        // POST: Documents/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost, ValidateInput(false)]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ID,GroupID,Title,KeyWord,Context,Date_Doc,Date_Register,UserID,SignatoryID")] Document document)
        {
            if (ModelState.IsValid)
            {
                db.Entry(document).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.GroupID = new SelectList(db.Groups, "ID", "DisplayGroupName", document.GroupID);
            ViewBag.SignatoryID = new SelectList(db.Signatoris, "ID", "FullName", document.SignatoryID);
            ViewBag.UserID = new SelectList(db.Users, "ID", "FullName", document.UserID);
            return View(document);
        }

        // GET: Documents/Delete/5
        public ActionResult Delete(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Document document = db.Documents.Find(id);
            if (document == null)
            {
                return HttpNotFound();
            }
            return View(document);
        }

        // POST: Documents/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(long id)
        {
            //Document document = db.Documents.Find(id);
            Document document = db.Documents.Include(d => d.Attachments).Where(d => d.ID == id).FirstOrDefault();
            if (document != null)
            {
                foreach (var files in document.Attachments.ToList())
                {
                    var path = Path.Combine(Server.MapPath(files.AttPath), files.AttName);
                    if (System.IO.File.Exists(path))
                    {
                        System.IO.File.Delete(path);
                    }
                }
                    db.Documents.Remove(document);
                    db.SaveChanges();
                }
                return RedirectToAction("Index");
            }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
        public ActionResult Download(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Attachment attachment = db.Attachments.Find(id);
            if (attachment == null)
            {
                return HttpNotFound();
            }

            string path = Path.Combine(Server.MapPath(UploadFilePath), attachment.AttName);
            switch (attachment.AttType.ToLower())
            {
                case ".jpg":
                    return (File(path, contentType: "Image/jpeg", fileDownloadName: attachment.AttName));
                default:
                    return (File(path, contentType: "harchi/harchi", fileDownloadName: attachment.AttName));
            }

            //return View(attachment);
        }
        public ActionResult AboutMe()
        {
            return View();
        }
    }
}

WIKIPRJ/Controllers/GroupsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using WikiDataBaseContext.DataAccessLayer;
using WikiModel.Model;
using WIKIPRJ.ViewModels;

namespace WIKIPRJ.Controllers
{
    public class GroupsController : Infrastructure.BaseController
    {
        private DataBaseContext db = new DataBaseContext();

        // GET: Groupss
        public ActionResult Index()
        {
            return View(db.Groups.ToList());
        }

        // GET: Groupss/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Group Groups = db.Groups.Find(id);
            if (Groups == null)
            {
                return HttpNotFound();
            }
            return View(Groups);
        }

        // GET: Groupss/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Groupss/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "ID,ParentID,GroupName,HasChildren")] Group Groups)
        {
            if (ModelState.IsValid)
            {
                Groups.HasChildren = false;
                Groups.ParentID = 0;
                db.Groups.Add(Groups);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(Groups);
        }
        // GET: Groupss/Create
        public ActionResult Append(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Group Groups = db.Groups.Find(id);
            if (Groups == null)
            {
                return HttpNotFound();
            }
            if (ModelState.IsValid)
            {
                db.Entry(Groups).State = EntityState.Modified;
                Groups.HasChildren = true;
                db.SaveChanges();
            }
            return View(Groups);
        }

        // POST: Groupss/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Append([Bind(Include = "ID,ParentID,GroupName,HasChildren")] Group Groups)
        {
            if (ModelState.IsValid)
            {
                Groups.ParentID = Groups.ID;
                db.Groups.Add(Groups);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(Groups);
        }

        // GET: Groupss/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Group Groups = db.Groups.Find(id);
            if (Groups == null)
            {
                return HttpNotFound();
            }
            return View(Groups);
        }

        // POST: Groupss/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ID,ParentID,GroupName,HasChildren")] Group Groups)
        {
            if (ModelState.IsValid)
            {
                db.Entry(Groups).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(Groups);
        }

        // GET: Groupss/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Group Groups = db.Groups.Find(id);
            if (Groups == null)
            {
                return HttpNotFound();
            }
            return View(Groups);
        }

        // POST: Groupss/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Group Groups = db.Groups.Find(id);
            db.Groups.Remove(Groups);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }

        [HttpGet]
        public ActionResult GetData(int? id)
        {
            if (id == null)
            {
                //دریافت ریشه‌ها
                return Json(
                    db.Groups.Where(x => x.ParentID == 0) // ریشه‌ها
                        .ToList(),
                    JsonRequestBehavior.AllowGet);
            }
            else
            {
                //دریافت فرزندهای یک ریشه
                return Json(
                    db.Groups
                              .Where(x => x.ParentID == id)
                              .ToList(),
                              JsonRequestBehavior.AllowGet);
            }
        }


        private string serialized;
        private Dictionary<int, int> numbers = new Dictionary<int, int>();
        public ActionResult SaveMenu(string serial)
        {
            serialized = serial;
            calculte_serialized(0);
            foreach (var item in numbers)
                db.Groups.Where(x => x.ID == item.Key).First().ParentID = item.Value;
            db.SaveChanges();
            db.Groups.ToList().ForEach(a => a.HasChildren = false);
            db.SaveChanges();
            //انتخاب تمام پرنت ای دی ها از جدول
            var PIDList = db.Groups.Select(x => x.ParentID).Distinct().ToArray();
            //تغییر تمام ردیفهایی که فرزند دارند
            db.Groups.Where(x => PIDList.Contains(x.ID)).ToList().ForEach(a => a.HasChildren = true);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        void calculte_serialized(int parent)
        {
            while (serialized.Length > 0)
            {
                var id_index = serialized.IndexOf("id");
                if (id_index == -1)
                {
                    return;
                }
                serialized = serialized.Substring(id_index + 5);
                var quote_index = serialized.IndexOf("\"");
                var id = serialized.Substring(0, quote_index);
                numbers.Add(int.Parse(id), parent);
                serialized = serialized.Substring(quote_index);
                var condition = serialized.Substring(0, 3);
                switch (condition)
                {
                    case "\"},":
                        break;
                    case "\",\"":
                        calculte_serialized(int.Parse(id));
                        break;
                    case "\"}]":
                        return;
                        break;
                    default:
                        break;
                }
            }
        }
        public ActionResult GroupDocuments(long ?id)
        {
//            if (id != null)
            {
                var Documents = db.Documents.Where(p=>p.GroupID == id).OrderBy(p=>p.Date_Doc).ToList();
                var Groups = db.Groups.ToList();
                var model = new GroupDocuments
                {
                    Documents = Documents,
                    Groups = Groups
                };
                return View(model);
            }
        //    else
        //        return View(db.Groups);
        }
        public ActionResult SearchDocuments(string sort, string sortdir, int? page = 1, string SearchDoc="")
        {
            var Documents = db.Documents.Where(p => p.Title.Contains(SearchDoc) || p.KeyWord.Contains(SearchDoc) || p.Context.Contains(SearchDoc)).OrderBy(p => p.Date_Doc).ToList();
            var Groups = db.Groups.ToList();
            var model = new GroupDocuments
            {
                Documents = Documents,
                Groups = Groups
            };
            return View(model);

        }
    }
}

WIKIPRJ/Views/Documents/AboutMe.cshtml
@{
    ViewBag.Title = "AboutMe";
    Layout = "~/Views/Shared/_AboutLayout.cshtml";
}

<br />
<br />
<br />
<div class="alert alert-success text-right text-justify">
    یکی از مهمترین اقدامات هر سازمان که می تواند اثرات چشمگیری در ارتقاء سطح بهره وری داشته باشد
    تهیه یک دانش نامه پویا می باشد که حاوی قوانین، مقررات و بخشنامه های جاری هر سازمان به منظور بهره برداری مجموعه کارکنان باشد.
    <br />
    از مزایای مدیریت دانش هر سازمان میتوان به:<br /><br />
    1- در دسترس بودن تمامی مقررات<br /><br />
    2- سهل الوصول بودن دسترسی به مقررات برای کارکنان<br /><br />
    3- وجود روش یکسان و یکنواخت و جلوگیری از اعمال سلائق گوناگون<br /><br />
    4- گسترش دانش با دریافت بازخورد و تبادل اطلاعات و همکاری جمعی در به روز نگه داشتن اطلاعات<br /><br />
    5- امکان ویرایش دانش به دانش جدیدتر و بهتر با هم افزایی بیشتر<br /><br />
    6- همکاری و دانش افزایی کارکنان در بحث و تبادل نظر در خصوص مقررات و اعمال اصلاحات لازم<br /><br />
    مجموعه پیش رو از سال 1395 به همت همکاران محترم حوزه فناوری اطلاعات ثبت احوال استان همدان جمع آوری و تدوین گردیده
    و تمامی مقررات موجود اسکن و تایپ گردیده تا قابلیت جستجو برای تبدیل شدن به یک دانش نامه پویا را داشته باشند.
    این نسخه هنوز یک نسخه آزمایشی بوده و نیازمند همکاری تمامی کارکنان عزیز به منظور رسیدن به نتیجه مطلوب می باشد.<br /><br />
    <span class="text-right">اسماعیلی - معاون فناوری اطلاعات و آمار جمعیتی ثبت احوال استان همدان</span>
</div>
<div class="alert alert-info text-center">
    <h4>طراحی و جمع آوری:</h4>
    <h3>حسین اسماعیلی</h3>
</div>
<div class="alert alert-success text-center">
    <h4>برنامه نویسی و پیاده سازی:</h4>
    <h3>مهدی اخلاص</h3>
</div>
<div class="alert alert-danger text-center">
    <h4>تهیه شده در حوزه معاونت  فناوری اطلاعات ثبت احوال استان همدان</h4>
</div>

@Html.ActionLink("بازگشت", "SearchDocuments", "Groups", null, new { @class = "btn btn-danger col-md-1" })

WIKIPRJ/Views/Documents/Context.cshtml
@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Context;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Context @Caption.Documents</h2>

<div>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @* @Html.DisplayNameFor(model => model.Context)*@
        </dt>

        <dd class="text-justify">
            @Html.Raw(HttpUtility.HtmlDecode(@Html.DisplayFor(model => model.Context).ToString()))
        </dd>

    </dl>
</div>
<p>
    @*    @Html.ActionLink(@Caption.Edit, "Edit", "Documents", new { id = Model.ID }, new { @class = "btn btn-default col-md-1" })*@
    @*@Html.ActionLink(@Caption.BacktoList, "SearchDocuments", "Groups", new { @class = "btn btn-danger col-md-1" })*@
    @Html.ActionLink("بازگشت", "SearchDocuments", "Groups",null, new { @class = "btn btn-danger col-md-1" })

</p>
<br />
@{
    if (Model.Attachments.Count > 0)
    {
        <br />
        <p>
            پیوستها:
        </p>
    }
}
<div class="container">
    <div class="row">
        @foreach (var item in Model.Attachments.ToList())
        {


            <div class="col-md-3 text-center">
                <div class="thumbnail">
                    @{var link = Url.Content(Path.Combine((item.AttPath), item.AttName)); }
                    <a href='@link' target="_blank"> <img src="@link" width="200" height="200" class="img-thumbnail" /> </a>
                    <div class="caption">
 
                        @Html.Label(item.AttTitle, htmlAttributes: new { @class = "control-label" })

                        @*@using (Html.BeginForm(actionName: "Delete", controllerName: "Attachments", routeValues: new { id = item.ID }))
                        {
                            @Html.AntiForgeryToken()
                            <input type="submit" value=@Caption.Delete onclick="return confirm('آیا برای حذف اطمینان دارید؟');" class="btn btn-danger btn-sm"/>
                        }*@
                    </div>
                </div>
            </div>


                        }
    </div>

    </div>
    </div>
    @*var link = Url.Content(item.AttPath) + "\\"+item.AttName;*@
    @*<h4>@Html.ActionLink(@Html.DisplayFor(modelItem => item.AttTitle).ToString(), "Download", new { id = item.ID })</h4>*@
    @*<h4><a href="@link">@Html.DisplayFor(modelItem => item.AttTitle)</a></h4>*@
    @*@Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |*@
    @*@Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID })*@

WIKIPRJ/Views/Documents/Create.cshtml
@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Create;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Create @Caption.Documents</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Group.GroupName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("GroupID", null,"انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.GroupID, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.KeyWord, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.KeyWord, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.KeyWord, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Context, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Context, new { htmlAttributes = new { @class = "form-control ckeeditor" } })
                @Html.ValidationMessageFor(model => model.Context, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Date_Doc, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10" data-MdDateTimePicker="true" data-trigger="click"
                 data-targetselector="#Date_Doc" data-placement="right">
                @Html.EditorFor(model => model.Date_Doc, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Date_Doc, "", new { @class = "text-danger" })
            </div>
        </div>

        @*<div class="form-group">
            @Html.LabelFor(model => model.Date_Register, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Date_Register, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Date_Register, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.UserID,  htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserID", null, "انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SignatoryID, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("SignatoryID", null, "انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.SignatoryID, "", new { @class = "text-danger" })
            </div>
        </div>*@

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value=@Caption.Create class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink(@Caption.BacktoList, "Index", "Documents", new { @class = "btn btn-danger col-md-1" })
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

WIKIPRJ/Views/Documents/Delete.cshtml
@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Delete;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Delete @Caption.Documents</h2>

<h3>@Caption.ConfirmDelete</h3>
<div>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Group.GroupName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Group.GroupName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.signatory.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.signatory.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.User.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.KeyWord)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.KeyWord)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Context)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Context)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Doc)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Doc)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Register)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Register)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value=@Caption.Delete class="btn btn-default col-md-1" /> 
            @Html.ActionLink(@Caption.BacktoList, "Index", "Documents", new { @class = "btn btn-danger col-md-1" })
        </div>
    }
</div>

WIKIPRJ/Views/Documents/Details.cshtml
@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Details;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Details @Caption.Documents</h2>

<div>
    <h4>@Caption.Documents</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Group.GroupName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Group.GroupName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.signatory.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.signatory.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.User.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.KeyWord)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.KeyWord)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Context)
        </dt>

        <dd>
            @Html.Raw(HttpUtility.HtmlDecode(@Html.DisplayFor(model => model.Context).ToString()))
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Doc)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Doc)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Register)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Register)
        </dd>

    </dl>
</div>
<p>
@Html.ActionLink(@Caption.Edit, "Edit", new { id = Model.ID }) |
@Html.ActionLink(@Caption.BacktoList, "Index", "Documents", new { @class = "btn btn-danger col-md-1" })
</p>